Package org.bukkit.plugin.messaging

# Enum Class PluginChannelDirection

java.lang.Object
java.lang.Enum<PluginChannelDirection>
org.bukkit.plugin.messaging.PluginChannelDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<PluginChannelDirection>`, `Constable`

public enum PluginChannelDirection extends Enum<PluginChannelDirection>
Represents the different directions a plugin channel may go.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INCOMING`
The plugin channel is being sent to the server from a client.
`OUTGOING`
The plugin channel is being sent to a client from the server.

## Method Summary

Modifier and Type
Method
Description
`static PluginChannelDirection`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PluginChannelDirection[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INCOMING

public static final PluginChannelDirection INCOMING
The plugin channel is being sent to the server from a client.

### OUTGOING

public static final PluginChannelDirection OUTGOING
The plugin channel is being sent to a client from the server.

## Method Details

### values

public static PluginChannelDirection[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PluginChannelDirection valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null